	;LWCz dest,addr
	LWC2 $1,0(a0)
	;SWCz source,addr
	SWC2 $1,0(a0)
	;MFCz dest-gpr,source
	MFC2 a0,$1
	;MTCz src-gpr, destination
	MTC2 a0,$1
	;CFCz dest-gpr, source
	CFC2 a0,$1
	;COPz cofun
	COP2 1
	;CTCz src-gpr,destionation
	CTC2 a0,$1